#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77cebfb5, "module_layout" },
	{ 0x116d4c8, "driver_unregister" },
	{ 0xdb73b1f8, "uart_unregister_driver" },
	{ 0xe2d890c4, "i2c_del_driver" },
	{ 0x66e48f47, "__spi_register_driver" },
	{ 0x6eeb65ed, "i2c_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x37918d63, "uart_register_driver" },
	{ 0x9f3da999, "__devm_regmap_init_i2c" },
	{ 0xfa34fd7f, "spi_get_device_id" },
	{ 0xc2581e47, "__devm_regmap_init_spi" },
	{ 0x5b3261f1, "device_get_match_data" },
	{ 0x6b858094, "spi_setup" },
	{ 0xbf7de93d, "__dynamic_dev_dbg" },
	{ 0x3422cfba, "gpiochip_remove" },
	{ 0x8c5ff016, "devm_request_threaded_irq" },
	{ 0xae216424, "gpiochip_add_data_with_key" },
	{ 0xfa3a537d, "uart_add_one_port" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf1378eb7, "kthread_stop" },
	{ 0x22339656, "uart_remove_one_port" },
	{ 0x58daaa, "sched_set_fifo" },
	{ 0x995e8e89, "wake_up_process" },
	{ 0xe98e6933, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xf9336fb1, "__kthread_init_worker" },
	{ 0xae23d16e, "__mutex_rt_init" },
	{ 0x8bcd5064, "rt_mutex_base_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1e2d74d2, "devm_clk_get_optional" },
	{ 0x7412a711, "device_property_read_u32_array" },
	{ 0x922b9728, "devm_kmalloc" },
	{ 0x898f903f, "rt_spin_unlock" },
	{ 0xb1bdc2ce, "rt_spin_lock" },
	{ 0x470f0f10, "kthread_queue_work" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x962d5399, "uart_update_timeout" },
	{ 0xcb0921e1, "uart_get_baud_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x96b64b02, "gpiochip_get_data" },
	{ 0xd37c1227, "_dev_warn" },
	{ 0x72906822, "do_SAK" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x3abe0a64, "tty_flip_buffer_push" },
	{ 0x12f9f552, "uart_try_toggle_sysrq" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xab55f7b4, "uart_insert_char" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe10e132c, "regmap_raw_read" },
	{ 0x8b9f0ca7, "mutex_unlock" },
	{ 0x535d3c30, "mutex_lock" },
	{ 0x67f5fc37, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7099dfe4, "uart_write_wakeup" },
	{ 0xdf6a015c, "regmap_raw_write" },
	{ 0x9c7c8bc9, "regcache_cache_bypass" },
	{ 0x8ab73f18, "kthread_flush_worker" },
	{ 0x8ac3e6c3, "regmap_write" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x7f6e521b, "regmap_read" },
	{ 0xfa0bf834, "regmap_update_bits_base" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "regmap-i2c,regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "3A339D427435E9BD6977DE3");

MODULE_INFO(suserelease, "SLE15-SP5");
